raspi5 23.10 cannot switch to lightdm from gdm3

I’ve installed 23.10 on a Raspberry Pi 5 and it all seems groovy.

The default display manager is gdm3, in line with the 23.10 current blessed GUI with the bar on the left and so on. (I don’t know what that UI is called; I don’t like it.)

Thus, I’m trying to switch to the usual xubuntu stuff I’ve used on all my other systems for the past many years.

Everything seemed to be fine. I could work through Synaptic and install all the usual components. As long as I don’t switch to lightdm, which I need to get to the UI I like.

If, when all is healthy in the unwanted UI, I concoct a terminal window and type

sudo dpkg-reconfigure lightdm

it offers the expected choice. If I choose lightdm and reboot, I get a full (I think; maybe VGA) resolution graphics mode dialog box that says

! The system is running in low-graphics mode Your screen, graphics
card, and input device settings could not be detected correctly.
You will need to configure these yourself.

If I poke OK, it goes through a series of dialogs offering things like Reconfigure graphics, Troubleshoot the error, and so on, none of which lead to anything actually useful.

If I switch to another console with Ctrl-Alt F3 (for example) I can switch back to gdm3 and after a reboot, all is back to the undesired UI.

Looking at /var/log/Xorg.0.log, it ends with

[ 147.052] ABI class: X.Org Video Driver, version 25.2 [ 147.052]
(II) FBDEV(0): using default device [ 147.064] (II) modeset(G0):
using drv /dev/dri/card1 [ 147.065] (WW) VGA arbiter: cannot open
kernel arbiter, no multi-card support [ 147.065] (EE) Fatal server
error: [ 147.0! The system is running in low-graphics mode Your screen, graphics card, and input device settings could not be detected correctly. You will need to configure these yourself.65] (EE) Cannot run in framebuffer mode. Please
specify busIDs for all framebuffer devices [ 147.065] (EE) [
147.065] (EE) Please consult the The X.Org Foundation support at http://wiki.x.org for help. [ 147.065] (EE) Please also check the
log file at "/var/log/Xorg.0.log" for additional information. [
147.065] (EE) [ 147.116] (EE) Server terminated with error (1). Closing log file.

It appears that whatever the rpi5 has for graphics is not known well enough by 23.10 to run lightdm.

I’t been 30 years since I tried to chase an X Window System startup problem, so it is gobbledy-gook to me.

Anyone have any suggestions?

Asked By: bog

||

The Raspberry Pi 5 is missing the required configuration for X11.. Let’s add it by pasting the following into a new /etc/X11/xorg.conf.d/99-vc4.conf file:

Section "OutputClass"
  Identifier "vc4"
  MatchDriver "vc4"
  Driver "modesetting"
  Option "PrimaryGPU" "true"
EndSection
Answered By: Daniel T
Categories: Answers Tags: , ,
Answers are sorted by their score. The answer accepted by the question owner as the best is marked with
at the top-right corner.